<form #form="ngForm" (ngSubmit)="handleSubmit(form)">
  <h3>Pokemon Name:</h3>
  <input type="text" [(ngModel)]="pokemon.name" name="name" />

  <label>
    <input
      type="radio"
      name="isActive"
      [value]="true"
      #pokemonName="ngModel"
      [(ngModel)]="pokemon.isActive"
    />
  </label>
  <label>
    <input
      type="radio"
      name="isActive"
      [value]="false"
      [(ngModel)]="pokemon.isActive"
    />
  </label>

  <h3>Pokemon type:</h3>
  <select name="type" [(ngModel)]="pokemon.type" id="">
    <option
      *ngFor="let type of pokemonTypes"
      [value]="type.value"
      [selected]="pokemon.type"
    >
      {{ type.value }}
    </option>
  </select>

  <h3>acceptTerms</h3>
  <label>
    <input
      type="checkbox"
      name="acceptTerms"
      [(ngModel)]="pokemon.acceptTerms"
    />
  </label>
  <button type="submit" [disabled]="form.invalid">Save</button>
  <button type="button" (click)="back()">Back</button>
</form>

<div>
  FORM:{{ form.value | json }}
  <br />
  MODEL: {{ pokemon | json }}
  <br />
  ERRORS:
  <div *ngIf="pokemonName.dirty">DIRTY</div>
  <div *ngIf="pokemonName.touched">TOUCHED</div>
  <div *ngIf="pokemonName.invalid">INVALID</div>
</div>
